import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page = {
    pageSize: number | string,
    pageNum: number | string
}
interface PublicParams{
    appId: string,//微信小程序组件ID
    appType: string,//小程序类型 1:微信小程序、2：抖音小程序
}
export interface Params extends Page,PublicParams{}
/**微信小程序组件模板分页列表 */
export async function appComponentConfigList(params: Params) {
    return request(api + '/admin/appComponentConfig/list', {
        method: 'GET',
        params
    });
}


/**新增修改 */
export async function appComponentConfigAddOrUpdate(data: any) {
    return request(api + '/admin/appComponentConfig/addOrUpdate', {
        method: 'POST',
        data
    });
}

/**小程序页面列表和可配置的组件 */
export async function appComponentConfigGetAppPageList(params: Params) {
    return request(api + '/admin/appComponentConfig/getAppPageList', {
        method: 'GET',
        params
    });
}

